#!/usr/bin/env bash

# Get trident certificates to helm directory if trident arg specified
if [ $# -gt 0 ]
then
    if [ "$1" == "--with-trident-certificates" ]
    then
        echo "Fetching trident certificates"
        IP=$(kubectl get service -n trident -l app=controller.csi.trident.netapp.io -o jsonpath='{.items[0].spec.clusterIP}')
        currDir=`pwd`
        tridentDir="$currDir/kubesafe/trident-certs"
        mkdir -p $tridentDir
        for S in clientKey clientCert caCert ; 
        do 
            kubectl get secret -n trident trident-csi -o jsonpath=\{.data.$S\} | base64 -d > $tridentDir/$S.pem ; 
        done
    fi
fi

# install kubesafe
helm install kubesafe-alpha kubesafe -n kubesafe --create-namespace
